FROM node:20

WORKDIR /user/src/app   

COPY ./package.json ./
COPY ./bun.lockb ./

RUN npm install -g bun
RUN bun install

COPY . .

# EXPOSE 3000
EXPOSE 3003

RUN bun run build
# CMD ["bun", "dev", "--host"]
CMD ["bun", "run", "start", "--host", "0.0.0.0"]